Bug 1460763 - Installation missing referenced xinetd example files
Installation missing referenced xinetd example files
Status: NEW
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
27
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Josef Ridky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 12:19 EDT by Ivor Durham
Modified: 2017-11-22 08:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivor Durham 2017-06-12 12:19:25 EDT
After installation of Amanda, executing amserverconfig ends with the message:

/var/lib/amanda/example/xinetd.amandaserver contains the latest Amanda server daemon configuration.
Please merge it to /etc/xinetd.d/amandaserver.

And executing amaddclient ends with the message:

File /var/lib/amanda/example/xinetd.amandaclient contains the latest Amanda client daemon configuration.
Please merge it to /etc/xinetd.d/amandaclient.

Unfortunately /var/lib/amanda/ only contains:

amandates  DailySet1  gnutar-lists  template.d

It does not have an "examples" directory.

Also amaddclient reports before the message above:

Copy /var/lib/amanda/amanda-client.conf-localhost to localhost successfully

However, /var/lib/amanda/amanda-client.conf doesn't exist but /etc/amanda/DailySet1/amanda-client.conf does exist so everything seems to work despite an apparently inconsistent message.

Version-Release number of selected component (if applicable):

amanda-libs-3.4.4-1.fc25.x86_64
amanda-server-3.4.4-1.fc25.x86_64
amanda-client-3.4.4-1.fc25.x86_64
amanda-3.4.4-1.fc25.x86_64

Steps to Reproduce:
1. Install the aforementioned packages
2. Attempt to configure Amanda with amserverconfig and amaddclient

Actual results:

/var/lib/amanda/examples/xinetd.amandaserver and /var/lib/amanda/examples/xinetd.amandaclient do not exist to be copied.

Expected results:

Example files can be copied as instructed to /etc/xinetd.d

Additional info:

I found versions of the xinetd files on the zmanda.com website documentation, but tweaked to reference /usr/sbin/amandad:

amandaserver:

# default: on
#
# description: Amanda services for Amanda server and client.
#
service amanda
{
        disable         = no
        socket_type     = stream
        protocol        = tcp
        wait            = no
        user            = amandabackup
        group           = disk
        groups          = yes
        server          = /usr/sbin/amandad
        server_args     = -auth=bsdtcp amdump amindexd amidxtaped
}

amandaclient:

# default: on
#
# description: Amanda services for Amanda client.
#
service amanda
{
        disable         = no
        socket_type     = stream
        protocol        = tcp
        wait            = no
        user            = amandabackup
        group           = disk
        groups          = yes
        server          = /usr/sbin/amandad
        server_args     = -auth=bsdtcp amdump
}
Comment 1 Jason Tibbitts 2017-06-13 13:06:13 EDT
I'm thinking we should just not ship amserverconfig at all.  I've never used it but obviously it's going to have to be heavily patched to not refer to things like xinetd.  I'm not sure if it can actually perform any useful function that isn't already done when you install the package.

@Ivor, xinetd configuration is completely irrelevant.  It's unneeded in Fedora since systemd does all of that.  If you really want to configure it via xinetd for some reason, you are way outside the bounds of what the as-packaged version is intended to support.
Comment 2 Jason Tibbitts 2017-06-13 13:45:09 EDT
Oh, hmm, amserverconfig doesn't actually do anything with xinetd; it just prints that one message:

sub check_xinetd{
    &mprint ("/var/lib/amanda/example/xinetd.amandaserver contains the latest Amanda server daemon configuration.\n");
    &mprint ("Please merge it to /etc/xinetd.d/amandaserver.\n");
}

So, uh, I'll patch amserverconfig to not call check_xinetd.  I don't see any reason to patch the useless xinetd example files, since they're useless and that would be just one more patch to maintain.  @Josef: What do you think?
Comment 3 Ivor Durham 2017-06-13 13:47:06 EDT
I have no interest in using xinetd! I just followed the instructions from amaddclient and amandaserverconfig from the Zmanda quick-start guide!

After I removed the xinetd files and restarted that service, Amanda reported "Connection refused". With a little Google help I found what I needed to start/enable is "amanda.socket" not the non-existent "amanda.service" that I had expected.

I hope this helps other Amanda newbies. What did I miss in the normal course of installing the Amanda packages to become this confused?
Comment 4 Jason Tibbitts 2017-06-14 00:10:29 EDT
I can't say what you missed, but various guides on the Internet will almost always miss out on distro-specific information.

Unfortunately I've been using Amanda since the 90s and Unix/Unix-like operating systems since the 80s so it's simply not possible for me personally to see things from the perspective of a beginner.  Plus the two utilities you ran didn't exist at all way back then.  I simply did not have the questions to which you needed to find the answers.

We could put Fedora-related documentation (like the proper way to actually enable the socket-activated service) in a README.Fedora file in the package.  Can you think of what content might have been useful to you which would be appropriate to place in such a file?

I went ahead and pushed a patch (to rawhide) to remove mention of xinetd from the amserverconfig output and did a build.  I'm not sure it's worth updating stable releases just for this, but the patch would come in with any later updates that we make.
Comment 5 Josef Ridky 2017-06-14 09:15:42 EDT
(In reply to Jason Tibbitts from comment #2)
> Oh, hmm, amserverconfig doesn't actually do anything with xinetd; it just
> prints that one message:
> 
> sub check_xinetd{
>     &mprint ("/var/lib/amanda/example/xinetd.amandaserver contains the
> latest Amanda server daemon configuration.\n");
>     &mprint ("Please merge it to /etc/xinetd.d/amandaserver.\n");
> }
> 
> So, uh, I'll patch amserverconfig to not call check_xinetd.  I don't see any
> reason to patch the useless xinetd example files, since they're useless and
> that would be just one more patch to maintain.  @Josef: What do you think?

Hi Jason,

sorry for late answer, 
I agree with your solution. It isn't necessary to create new build for it, but keep it in rawhide and when some other bugs/rebase comes for amanda, this will be applied for other fedora releases.
Comment 6 Ivor Durham 2017-06-14 22:17:22 EDT
(In reply to Jason Tibbitts from comment #4)
> I can't say what you missed, but various guides on the Internet will almost
> always miss out on distro-specific information.
> 
> Unfortunately I've been using Amanda since the 90s and Unix/Unix-like
> operating systems since the 80s so it's simply not possible for me
> personally to see things from the perspective of a beginner.  Plus the two
> utilities you ran didn't exist at all way back then.  I simply did not have
> the questions to which you needed to find the answers.
> 
> We could put Fedora-related documentation (like the proper way to actually
> enable the socket-activated service) in a README.Fedora file in the package.
> Can you think of what content might have been useful to you which would be
> appropriate to place in such a file?
> 
> I went ahead and pushed a patch (to rawhide) to remove mention of xinetd
> from the amserverconfig output and did a build.  I'm not sure it's worth
> updating stable releases just for this, but the patch would come in with any
> later updates that we make.

The documentation that would have saved me from this rabbit hole would have been for amandaserverconfig and amaddclient to finish with a message like:

  "Use 'systemctl start amanda.socket' and 'systemctl enable amanda.socket' to enable Amanda on the server."

(possibly duplicated in a README.Fedora, but in which directory?) in place of the xinetd message. Since I didn't know exactly where to start, I used Google and found the zmanda.com 15 minute guide (the PDF version) which referenced these configuration tools. (I too have been using Unix since 1975, but Amanda only since last week :-)
Comment 7 Fedora End Of Life 2017-11-16 14:16:34 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.